/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\pets\ChaosSteed.cs
Lines of code: 77
***********************************************************/


using System;
using Server.Mobiles;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a shadowed corpse" )]
	public class ChaosSteed : BaseMount
	{
		[Constructable] 
		public ChaosSteed() : this( "a chaos steed" )
		{
		}

		[Constructable]
		public ChaosSteed( string name ) : base( name, 793, 0x3EBB, AIType.AI_Melee, FightMode.Evil, 10, 1, 0.2, 0.4 )
		{
			BaseSoundID = 655;
			ItemID = 16059;
			Hue = 1175;
			SetStr( 750, 850 );
			SetDex( 200, 310 );
			SetInt( 300, 440 );

			SetHits( 550, 750 );

			SetDamage( 25, 34 );

			SetDamageType( ResistanceType.Cold, 25 );
			SetDamageType( ResistanceType.Physical, 0 );
			SetDamageType( ResistanceType.Poison, 25 );
			SetDamageType( ResistanceType.Chaos, 50 );
			

			SetResistance( ResistanceType.Physical, 60, 70 );
			SetResistance( ResistanceType.Fire, 90, 95 );
			SetResistance( ResistanceType.Cold, 71, 85 );
			SetResistance( ResistanceType.Energy, 40, 50 );
			SetResistance( ResistanceType.Poison, 70, 85 );

			SetSkill( SkillName.MagicResist, 100.0, 150.0 );
			SetSkill( SkillName.Tactics, 70.5, 100.0 );
			SetSkill( SkillName.Wrestling, 90.1, 110.0 );

			Tamable = true;
			ControlSlots = 4;
			MinTameSkill = 105.5;


			Fame = 22500;
			Karma = -22500;
			PackNecroReg( 157, 184 );
		}
		public override void GenerateLoot()
		{
			AddLoot( LootPack.MedScrolls, 8 );
		}

		public override double GetControlChance( Mobile m )
		{
			if ( m.Skills.Necromancy.Value >= 120.0 )
				return 1.0;

			return base.GetControlChance( m );
		}	

		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override bool HasBreath{ get{ return true; } } // fire breath enabled
		public override int BreathEffectHue{ get{ return 1167; } }
		public override int BreathFireDamage{ get{ return 0; } }
		public override int BreathChaosDamage{ get{ return 100; } }
		public override bool Unprovokable{ get{ return Core.SE; } }
		public override bool Uncalmable{ get{ return Core.SE; } }
		public override bool StatLossAfterTame{ get{ return true; } }
		public override Poison HitPoison{ get{ return Poison.Deadly; } }
		public override bool AutoDispel{ get{ return !Controlled; } }

		public ChaosSteed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}


		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}